WPS4TextInternal::Note Struct Reference documentation

WPS4TextInternal::Note Struct Reference

Internal: class to store an note type. More...

Inheritance diagram for WPS4TextInternal::Note:

## Public Member Functions
| Note ()
| constructor
bool | isNumeric () const
Public Member Functions inherited from WPSEntry
| WPSEntry ()
| constructor
virtual | ~WPSEntry ()
| destructor
void | setBegin (long off)
| sets the begin offset
void | setLength (long l)
| sets the zone size
void | setEnd (long e)
| sets the end offset
long | begin () const
| returns the begin offset
long | end () const
| returns the end offset
long | length () const
| returns the length of the zone
bool | valid (bool checkId=false) const
| returns true if the zone length is positive
bool | operator== (const WPSEntry &a) const
| basic operator==
bool | operator!= (const WPSEntry &a) const
| basic operator!=
bool | isParsed () const
| a flag to know if the entry was parsed or not
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false
void | setType (std::string const &tp)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...
std::string const & | type () const
| returns the type of the entry
bool | hasType (std::string const &tp) const
| returns true if the type entry == type
void | setName (std::string const &nam)
| sets the name of the entry
std::string const & | name () const
| name of the entry
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name
int | id () const
| returns the entry id
void | setId (int i)
| sets the id
std::string const & | extra () const
| retrieves the extra string
void | setExtra (std::string const &s)
| sets the extra string

## Public Attributes
librevenge::RVNGString | m_label
| the label if not numeric
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Note const &note)
| operator <<

## Additional Inherited Members
Protected Attributes inherited from WPSEntry
long | m_begin
| the begin of the entry.
long | m_length
| the size of the entry
std::string | m_type
| the entry type
std::string | m_name
| the name
int | m_id
| the identificator
bool | m_parsed
| a bool to store if the entry is or not parsed
std::string | m_extra
| an extra string

## Detailed Description

Internal: class to store an note type.

## Constructor & Destructor Documentation

## ◆ Note()

WPS4TextInternal::Note::Note | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ isNumeric()

bool WPS4TextInternal::Note::isNumeric | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Note const & | note )
| friend

operator <<

## Member Data Documentation

## ◆ m_error

std::string WPS4TextInternal::Note::m_error

a string used to store the parsing errors

Referenced by WPS4Text::footNotesDataParser(), Note(), operator<<, and WPS4Text::readFootNotes().

## ◆ m_label

librevenge::RVNGString WPS4TextInternal::Note::m_label

the label if not numeric

Referenced by WPS4Text::footNotesDataParser(), isNumeric(), Note(), operator<<, WPS4Text::readFootNotes(), and WPS4Text::readText().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp